#========================================================================================
# package      DE_EPAGES::Coupon::UI::JSON
# state        public
#----------------------------------------------------------------------------------------
# description  Common user interface to show, save and delete objects.
#========================================================================================
package DE_EPAGES::Coupon::UI::JSON;
use base DE_EPAGES::Presentation::UI::JSON;

use strict;
use DE_EPAGES::Coupon::API::CouponCondition qw (AddCouponConditionObjects);

sub JSONInsertConditionObjects {
    my $self = shift;
    my ($Servlet) = @_;

    my $Campaign = $Servlet->object;
    my $Form = $Servlet->form;
    my $Shop = $Campaign->getSite;

    AddCouponConditionObjects($Campaign, {
        'Products'  => $Shop->loadObjects( [$Form->value('ProductIDs')], 'Product' ),
        'Payments'  => $Shop->loadObjects( [$Form->value('PaymentIDs')], 'PaymentMethod' ),
        'Shippings' => $Shop->loadObjects( [$Form->value('ShippingIDs')], 'ShippingMethod' ),
    });


    # we restrict the coupon to the condition products for now shops
    if($Shop->isUnity()) {
        $Campaign->set({'UseCouponOnlyForSelectedProducts' => 1})
            if $Campaign->get('Type') eq 'PERCENT' and
                scalar( grep{ $_->get('Type') eq 'PRODUCT' } @{$Campaign->folder('CouponConditions')->children()});
    }

    return;
}

1;
