#========================================================================================
# package      DE_EPAGES::GoogleSmartShopping::UI::JSON
# state        public
#----------------------------------------------------------------------------------------
# description  Common user interface to show, save and delete GoogleSmartShopping related objects.
#========================================================================================
package DE_EPAGES::GoogleSmartShopping::UI::JSON;
use base DE_EPAGES::Presentation::UI::JSON;

use DE_EPAGES::GoogleSmartShopping::API::DialogBuilder;

use strict;

#========================================================================================
# function     JSONSearchCampaignProductsMetrics
# state        public
#----------------------------------------------------------------------------------------
# syntax       $Handler->JSONSearchCampaignProducts($Servlet);
#----------------------------------------------------------------------------------------
# description  JSON handler for products campaign metrics search
#----------------------------------------------------------------------------------------
# input        $Servlet | servlet object | object
#========================================================================================
sub JSONSearchCampaignProductsMetrics {
    my $self = shift;
    my ($Servlet) = @_;

    my $Shop = $Servlet->object;
    my $hFormValues = $Servlet->form()->form( $Shop, 'JSONSearchCampaignProductsMetrics' );
    my $LanguageID = $Servlet->languageID();

    # Trigger search.
    my $DialogBuilder = DE_EPAGES::GoogleSmartShopping::API::DialogBuilder->new(
        {
            'Shop'       => $Shop,
            'FormValues' => $hFormValues,
            'LanguageID' => $LanguageID
        }
    );
    my $hProductsCampaignPage = $DialogBuilder->fetchCampaignProductsPage();
    my $hDialogData = $DialogBuilder->buildCampaignProductsDialog($hProductsCampaignPage);

    # write result data on the current servlet.
    $self->writeContentOutput($hDialogData);
}

1;
